<id>
ShowOnlyAuthenticatedMembers
</id>

<version>
1.0.1
</version>

<mod info>
This will only show approved/authenticated members on the Board Index and Member List.
</mod info>

<author>
Xenomorph
</author>

<homepage>
http://xenomorph.net/
</homepage>


<edit file>
Sources/Subs.php
</edit file>

<search>
			$result = db_query("
				SELECT COUNT(ID_MEMBER), MAX(ID_MEMBER)
				FROM {$db_prefix}members", __FILE__, __LINE__);
</search>

<replace>
			$result = db_query("
				SELECT COUNT(ID_MEMBER), MAX(ID_MEMBER)
				FROM {$db_prefix}members
                                WHERE `is_activated` = '1'", __FILE__, __LINE__);
</replace>


<edit file>
Sources/Register.php
</edit file>

<search>
	updateMemberData($row['ID_MEMBER'], array('is_activated' => 1, 'validation_code' => '\'\''));
</search>

<replace>
	updateMemberData($row['ID_MEMBER'], array('is_activated' => 1, 'validation_code' => '\'\''));
	updateStats('member');
</replace>

<edit file>
Sources/Memberlist.php
</edit file>

<search>
		$request = db_query("
			SELECT COUNT(ID_MEMBER)
			FROM {$db_prefix}members
			WHERE LOWER(SUBSTRING(realName, 1, 1)) < '" . strtolower($_REQUEST['start']) . "'", __FILE__, __LINE__);
</search>

<replace>
		$request = db_query("
			SELECT COUNT(ID_MEMBER)
			FROM {$db_prefix}members
			WHERE LOWER(SUBSTRING(realName, 1, 1)) < '" . strtolower($_REQUEST['start']) . "'
			AND `is_activated` != '0'", __FILE__, __LINE__);
</replace>

<search>
	$request = db_query("
		SELECT
			mem.memberName, mem.realName, mem.websiteTitle, mem.websiteUrl, mem.posts,
			mem.ID_GROUP, mem.ICQ, mem.AIM, mem.YIM, mem.MSN, mem.emailAddress,
			mem.hideEmail, mem.ID_MEMBER, IFNULL(lo.logTime, 0) AS isOnline,
			IFNULL(mg.groupName, '') AS groupName, mem.showOnline, mem.dateRegistered
		FROM {$db_prefix}members AS mem
			LEFT JOIN {$db_prefix}log_online AS lo ON (lo.ID_MEMBER = mem.ID_MEMBER)
			LEFT JOIN {$db_prefix}membergroups AS mg ON (mg.ID_GROUP = IF(mem.ID_GROUP = 0, mem.ID_POST_GROUP, mem.ID_GROUP))
		ORDER BY " . $sort_methods[$_REQUEST['sort']][$context['sort_direction']] . "
		LIMIT $_REQUEST[start], $modSettings[defaultMaxMembers]", __FILE__, __LINE__);
</search>

<replace>
	$request = db_query("
		SELECT
			mem.memberName, mem.realName, mem.websiteTitle, mem.websiteUrl, mem.posts,
			mem.ID_GROUP, mem.ICQ, mem.AIM, mem.YIM, mem.MSN, mem.emailAddress,
			mem.hideEmail, mem.ID_MEMBER, IFNULL(lo.logTime, 0) AS isOnline,
			IFNULL(mg.groupName, '') AS groupName, mem.showOnline, mem.dateRegistered
		FROM {$db_prefix}members AS mem
			LEFT JOIN {$db_prefix}log_online AS lo ON (lo.ID_MEMBER = mem.ID_MEMBER)
			LEFT JOIN {$db_prefix}membergroups AS mg ON (mg.ID_GROUP = IF(mem.ID_GROUP = 0, mem.ID_POST_GROUP, mem.ID_GROUP))
		WHERE `is_activated` != '0'
		ORDER BY " . $sort_methods[$_REQUEST['sort']][$context['sort_direction']] . "
		LIMIT $_REQUEST[start], $modSettings[defaultMaxMembers]", __FILE__, __LINE__);
</replace>